Loading...
Searching...
No Matches
dolfin::VTKWriter Class Reference

Write VTK Mesh representation. More...

`#include <VTKWriter.h>`

## Static Public Member Functions

static void | write_mesh (const Mesh &mesh, std::size_t cell_dim, std::string file, bool binary, bool compress)
| Mesh writer.
static void | write_cell_data (const Function &u, std::string file, bool binary, bool compress)
| Cell data writer.
template<typename T>
static std::string | encode_stream (const std::vector< T > &data, bool compress)
| Form (compressed) base64 encoded string for VTK.

## Detailed Description

Write VTK Mesh representation.

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/io/VTKWriter.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/io/VTKWriter.cpp